<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>lower &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>lower
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">24 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">lower</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public pure elemental function lower(str, begin, end) result(string)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>lower(3f) - [M_strings:CASE] changes a string to lowercase over specified range
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">elemental</span> <span class="nv">pure</span> <span class="nv">function</span> <span class="nv">lower</span><span class="ss">(</span><span class="nv">str</span>,<span class="nv">begin</span>,<span class="k">end</span><span class="ss">)</span> <span class="nb">result</span> <span class="ss">(</span><span class="nv">string</span><span class="ss">)</span>

 <span class="nv">character</span><span class="ss">(</span><span class="o">*</span><span class="ss">)</span>, <span class="nv">intent</span><span class="ss">(</span><span class="nv">in</span><span class="ss">)</span> :: <span class="nv">str</span>
 <span class="nv">integer</span>,<span class="nv">optional</span>         :: <span class="nv">begin</span>, <span class="k">end</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="ss">(</span><span class="nv">str</span><span class="ss">))</span>      :: <span class="nv">string</span>  <span class="o">!</span> <span class="nv">output</span> <span class="nv">string</span>
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>  <span class="nv">lower</span><span class="ss">(</span><span class="nv">string</span><span class="ss">)</span> <span class="nv">returns</span> <span class="nv">a</span> <span class="nv">copy</span> <span class="nv">of</span> <span class="nv">the</span> <span class="nv">input</span> <span class="nv">string</span> <span class="nv">with</span> <span class="nv">all</span> <span class="nv">characters</span>
  <span class="nv">converted</span> <span class="nv">to</span> <span class="nv">miniscule</span> <span class="nv">over</span> <span class="nv">the</span> <span class="nv">specified</span> <span class="nv">range</span>, <span class="nv">assuming</span> <span class="nv">ASCII</span>
  <span class="nv">character</span> <span class="nv">sets</span> <span class="nv">are</span> <span class="nv">being</span> <span class="nv">used</span>. <span class="k">If</span> <span class="nv">no</span> <span class="nv">range</span> <span class="nv">is</span> <span class="nv">specified</span> <span class="nv">the</span> <span class="nv">entire</span>
  <span class="nv">string</span> <span class="nv">is</span> <span class="nv">converted</span> <span class="nv">to</span> <span class="nv">miniscule</span>.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">str</span>    <span class="nv">string</span> <span class="nv">to</span> <span class="nv">convert</span> <span class="nv">to</span> <span class="nv">miniscule</span>
<span class="nv">begin</span>  <span class="nv">optional</span> <span class="nv">starting</span> <span class="nv">position</span> <span class="nv">in</span> <span class="s2">&quot;</span><span class="s">str</span><span class="s2">&quot;</span> <span class="nv">to</span> <span class="nv">begin</span> <span class="nv">converting</span> <span class="nv">to</span> <span class="nv">miniscule</span>
<span class="k">end</span>    <span class="nv">optional</span> <span class="nv">ending</span> <span class="nv">position</span> <span class="nv">in</span> <span class="s2">&quot;</span><span class="s">str</span><span class="s2">&quot;</span> <span class="nv">to</span> <span class="nv">stop</span> <span class="nv">converting</span> <span class="nv">to</span> <span class="nv">miniscule</span>
</code></pre></div>

<h2>RESULTS</h2>
<div class="codehilite"><pre><span></span><code>lower  copy of the input string with all characters converted to miniscule
       over optionally specified range.
</code></pre></div>

<h2>EXAMPLE</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">Sample</span> <span class="nv">program</span>:

   <span class="nv">program</span> <span class="nv">demo_lower</span>
   <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span>: <span class="nv">lower</span>
   <span class="nv">implicit</span> <span class="nv">none</span>
   <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span>:<span class="ss">)</span>,<span class="nv">allocatable</span>  :: <span class="nv">s</span>
      <span class="nv">s</span><span class="o">=</span><span class="s1">&#39;</span><span class="s"> ABCDEFG abcdefg </span><span class="s1">&#39;</span>
      <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">mixed-case input string is ....</span><span class="s1">&#39;</span>,<span class="nv">s</span>
      <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">lower-case output string is ...</span><span class="s1">&#39;</span>,<span class="nv">lower</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>
   <span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_lower</span>

<span class="nv">Expected</span> <span class="nv">output</span>

   <span class="nv">mixed</span><span class="o">-</span><span class="nv">case</span> <span class="nv">input</span> <span class="nv">string</span> <span class="nv">is</span> .... <span class="nv">ABCDEFG</span> <span class="nv">abcdefg</span>
   <span class="nv">lower</span><span class="o">-</span><span class="nv">case</span> <span class="nv">output</span> <span class="nv">string</span> <span class="nv">is</span> ... <span class="nv">abcdefg</span> <span class="nv">abcdefg</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-str%7E3"></span>character,</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-begin%7E2"></span>integer,</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>begin</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-end%7E2"></span>integer,</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>end</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-string%7E6"></span>character
  </small></h3>
    
    
    
    <br>
    
    
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~lower~~CalledByGraph Pages: 1 -->
<svg id="proclowerCalledByGraph" width="394pt" height="578pt"
 viewBox="0.00 0.00 394.00 578.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~lower~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 574)">
<title>proc~~lower~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-574 390,-574 390,4 -4,4"/>
<!-- proc~lower -->
<g id="proc~~lower~~CalledByGraph_node1" class="node">
<title>proc~lower</title>
<polygon fill="none" stroke="#000000" points="386,-433 332,-433 332,-409 386,-409 386,-433"/>
<text text-anchor="middle" x="359" y="-418.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">lower</text>
</g>
<!-- proc~predictionstep -->
<g id="proc~~lower~~CalledByGraph_node2" class="node">
<title>proc~predictionstep</title>
<g id="a_proc~~lower~~CalledByGraph_node2"><a xlink:href=".././proc/predictionstep.html" xlink:title="predictionStep">
<polygon fill="#d9534f" stroke="#d9534f" points="277,-533 197,-533 197,-509 277,-509 277,-533"/>
<text text-anchor="middle" x="237" y="-518.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">predictionStep</text>
</a>
</g>
</g>
<!-- proc~predictionstep&#45;&gt;proc~lower -->
<g id="proc~~lower~~CalledByGraph_edge4" class="edge">
<title>proc~predictionstep&#45;&gt;proc~lower</title>
<path fill="none" stroke="#000000" d="M251.9596,-508.738C273.1109,-491.4009 311.9186,-459.5913 336.5394,-439.4104"/>
<polygon fill="#000000" stroke="#000000" points="338.7839,-442.0961 344.2991,-433.0499 334.3464,-436.6823 338.7839,-442.0961"/>
</g>
<!-- proc~updateeddydiffusivity -->
<g id="proc~~lower~~CalledByGraph_node3" class="node">
<title>proc~updateeddydiffusivity</title>
<g id="a_proc~~lower~~CalledByGraph_node3"><a xlink:href=".././proc/updateeddydiffusivity.html" xlink:title="updateEddyDiffusivity">
<polygon fill="#d9534f" stroke="#d9534f" points="294.5,-454 179.5,-454 179.5,-430 294.5,-430 294.5,-454"/>
<text text-anchor="middle" x="237" y="-439.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">updateEddyDiffusivity</text>
</a>
</g>
</g>
<!-- proc~updateeddydiffusivity&#45;&gt;proc~lower -->
<g id="proc~~lower~~CalledByGraph_edge1" class="edge">
<title>proc~updateeddydiffusivity&#45;&gt;proc~lower</title>
<path fill="none" stroke="#000000" d="M294.7845,-432.0535C303.9795,-430.4707 313.2721,-428.8712 321.8237,-427.3992"/>
<polygon fill="#000000" stroke="#000000" points="322.5694,-430.8224 331.8307,-425.6767 321.3819,-423.9239 322.5694,-430.8224"/>
</g>
<!-- proc~createenergyequation -->
<g id="proc~~lower~~CalledByGraph_node4" class="node">
<title>proc~createenergyequation</title>
<g id="a_proc~~lower~~CalledByGraph_node4"><a xlink:href=".././proc/createenergyequation.html" xlink:title="createEnergyEquation">
<polygon fill="#d9534f" stroke="#d9534f" points="296,-412 178,-412 178,-388 296,-388 296,-412"/>
<text text-anchor="middle" x="237" y="-397.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">createEnergyEquation</text>
</a>
</g>
</g>
<!-- proc~createenergyequation&#45;&gt;proc~lower -->
<g id="proc~~lower~~CalledByGraph_edge3" class="edge">
<title>proc~createenergyequation&#45;&gt;proc~lower</title>
<path fill="none" stroke="#000000" d="M296.2131,-410.1924C305.0067,-411.7061 313.8498,-413.2282 322.0107,-414.633"/>
<polygon fill="#000000" stroke="#000000" points="321.479,-418.0929 331.9278,-416.34 322.6665,-411.1943 321.479,-418.0929"/>
</g>
<!-- proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_node5" class="node">
<title>proc~split_in_array</title>
<g id="a_proc~~lower~~CalledByGraph_node5"><a xlink:href=".././proc/split_in_array.html" xlink:title="split_in_array">
<polygon fill="#d9534f" stroke="#d9534f" points="275,-297 199,-297 199,-273 275,-273 275,-297"/>
<text text-anchor="middle" x="237" y="-282.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">split_in_array</text>
</a>
</g>
</g>
<!-- proc~split_in_array&#45;&gt;proc~lower -->
<g id="proc~~lower~~CalledByGraph_edge2" class="edge">
<title>proc~split_in_array&#45;&gt;proc~lower</title>
<path fill="none" stroke="#000000" d="M247.8267,-297.0691C268.8452,-320.4995 315.3631,-372.3555 341.0642,-401.006"/>
<polygon fill="#000000" stroke="#000000" points="338.7393,-403.6558 348.0222,-408.7625 343.95,-398.9815 338.7393,-403.6558"/>
</g>
<!-- proc~setmonitorslist -->
<g id="proc~~lower~~CalledByGraph_node6" class="node">
<title>proc~setmonitorslist</title>
<g id="a_proc~~lower~~CalledByGraph_node6"><a xlink:href=".././proc/setmonitorslist.html" xlink:title="setMonitorsList">
<polygon fill="#d9534f" stroke="#d9534f" points="113.5,-528 28.5,-528 28.5,-504 113.5,-504 113.5,-528"/>
<text text-anchor="middle" x="71" y="-513.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setMonitorsList</text>
</a>
</g>
</g>
<!-- proc~setmonitorslist&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge6" class="edge">
<title>proc~setmonitorslist&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M113.6752,-510.5697C124.0279,-507.4519 134.3142,-502.5839 142,-495 180.4243,-457.085 155.4617,-428.051 178,-379 190.3058,-352.2183 208.9711,-323.8802 222.0021,-305.4079"/>
<polygon fill="#000000" stroke="#000000" points="224.9162,-307.3501 227.894,-297.1823 219.2255,-303.2739 224.9162,-307.3501"/>
</g>
<!-- proc~expressionparsing -->
<g id="proc~~lower~~CalledByGraph_node7" class="node">
<title>proc~expressionparsing</title>
<g id="a_proc~~lower~~CalledByGraph_node7"><a xlink:href=".././proc/expressionparsing.html" xlink:title="expressionParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="120.5,-486 21.5,-486 21.5,-462 120.5,-462 120.5,-486"/>
<text text-anchor="middle" x="71" y="-471.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsing</text>
</a>
</g>
</g>
<!-- proc~expressionparsing&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge7" class="edge">
<title>proc~expressionparsing&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M120.6803,-465.1146C128.383,-462.1641 135.8208,-458.2343 142,-453 169.9076,-429.36 160.2525,-410.9798 178,-379 192.3823,-353.0842 210.7833,-324.3729 223.1804,-305.5832"/>
<polygon fill="#000000" stroke="#000000" points="226.1233,-307.4785 228.7401,-297.2119 220.2921,-303.6058 226.1233,-307.4785"/>
</g>
<!-- program~fs_alghorithm -->
<g id="proc~~lower~~CalledByGraph_node8" class="node">
<title>program~fs_alghorithm</title>
<g id="a_proc~~lower~~CalledByGraph_node8"><a xlink:href=".././program/fs_alghorithm.html" xlink:title="FS_Alghorithm">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="112.5,-570 29.5,-570 29.5,-546 112.5,-546 112.5,-570"/>
<text text-anchor="middle" x="71" y="-555.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">FS_Alghorithm</text>
</a>
</g>
</g>
<!-- program~fs_alghorithm&#45;&gt;proc~predictionstep -->
<g id="proc~~lower~~CalledByGraph_edge5" class="edge">
<title>program~fs_alghorithm&#45;&gt;proc~predictionstep</title>
<path fill="none" stroke="#000000" d="M112.8888,-548.6633C135.4119,-543.6431 163.3384,-537.4186 186.994,-532.1459"/>
<polygon fill="#000000" stroke="#000000" points="187.8435,-535.5425 196.8425,-529.9508 186.3205,-528.7102 187.8435,-535.5425"/>
</g>
<!-- proc~parsesplitoption -->
<g id="proc~~lower~~CalledByGraph_node9" class="node">
<title>proc~parsesplitoption</title>
<g id="a_proc~~lower~~CalledByGraph_node9"><a xlink:href=".././proc/parsesplitoption.html" xlink:title="parseSplitOption">
<polygon fill="#d9534f" stroke="#d9534f" points="116.5,-444 25.5,-444 25.5,-420 116.5,-420 116.5,-444"/>
<text text-anchor="middle" x="71" y="-429.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">parseSplitOption</text>
</a>
</g>
</g>
<!-- proc~parsesplitoption&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge8" class="edge">
<title>proc~parsesplitoption&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M116.5224,-423.2209C125.4499,-420.2408 134.3938,-416.2728 142,-411 181.6765,-383.495 211.7448,-334.1518 226.6321,-306.0692"/>
<polygon fill="#000000" stroke="#000000" points="229.7878,-307.586 231.2557,-297.0933 223.5649,-304.3805 229.7878,-307.586"/>
</g>
<!-- proc~expressionparsingwithfield -->
<g id="proc~~lower~~CalledByGraph_node10" class="node">
<title>proc~expressionparsingwithfield</title>
<g id="a_proc~~lower~~CalledByGraph_node10"><a xlink:href=".././proc/expressionparsingwithfield.html" xlink:title="expressionParsingWithField">
<polygon fill="#d9534f" stroke="#d9534f" points="142,-402 0,-402 0,-378 142,-378 142,-402"/>
<text text-anchor="middle" x="71" y="-387.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsingWithField</text>
</a>
</g>
</g>
<!-- proc~expressionparsingwithfield&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge9" class="edge">
<title>proc~expressionparsingwithfield&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M121.7638,-377.9611C128.7634,-375.4544 135.7029,-372.4877 142,-369 172.6702,-352.0131 201.9446,-323.6547 219.6913,-304.646"/>
<polygon fill="#000000" stroke="#000000" points="222.3967,-306.874 226.5618,-297.1322 217.2307,-302.1504 222.3967,-306.874"/>
</g>
<!-- proc~setboundaryvalue -->
<g id="proc~~lower~~CalledByGraph_node11" class="node">
<title>proc~setboundaryvalue</title>
<g id="a_proc~~lower~~CalledByGraph_node11"><a xlink:href=".././proc/setboundaryvalue.html" xlink:title="setBoundaryValue">
<polygon fill="#d9534f" stroke="#d9534f" points="121,-360 21,-360 21,-336 121,-336 121,-360"/>
<text text-anchor="middle" x="71" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setBoundaryValue</text>
</a>
</g>
</g>
<!-- proc~setboundaryvalue&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge10" class="edge">
<title>proc~setboundaryvalue&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M114.846,-335.9933C123.895,-333.2471 133.3122,-330.1903 142,-327 162.4244,-319.5 184.6992,-309.7399 202.5431,-301.5163"/>
<polygon fill="#000000" stroke="#000000" points="204.3736,-304.5248 211.9607,-297.1297 201.418,-298.1794 204.3736,-304.5248"/>
</g>
<!-- proc~createmeshregions -->
<g id="proc~~lower~~CalledByGraph_node12" class="node">
<title>proc~createmeshregions</title>
<g id="a_proc~~lower~~CalledByGraph_node12"><a xlink:href=".././proc/createmeshregions.html" xlink:title="createMeshRegions">
<polygon fill="#d9534f" stroke="#d9534f" points="124.5,-318 17.5,-318 17.5,-294 124.5,-294 124.5,-318"/>
<text text-anchor="middle" x="71" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">createMeshRegions</text>
</a>
</g>
</g>
<!-- proc~createmeshregions&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge11" class="edge">
<title>proc~createmeshregions&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M124.8954,-299.1819C145.4528,-296.5813 168.7376,-293.6356 188.7386,-291.1054"/>
<polygon fill="#000000" stroke="#000000" points="189.385,-294.5516 198.8666,-289.8241 188.5064,-287.6069 189.385,-294.5516"/>
</g>
<!-- proc~setsources -->
<g id="proc~~lower~~CalledByGraph_node13" class="node">
<title>proc~setsources</title>
<g id="a_proc~~lower~~CalledByGraph_node13"><a xlink:href=".././proc/setsources.html" xlink:title="setSources">
<polygon fill="#d9534f" stroke="#d9534f" points="104,-276 38,-276 38,-252 104,-252 104,-276"/>
<text text-anchor="middle" x="71" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setSources</text>
</a>
</g>
</g>
<!-- proc~setsources&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge12" class="edge">
<title>proc~setsources&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M104.1936,-268.1992C128.4399,-271.2665 161.6846,-275.4722 188.8462,-278.9083"/>
<polygon fill="#000000" stroke="#000000" points="188.5666,-282.4007 198.9268,-280.1835 189.4452,-275.456 188.5666,-282.4007"/>
</g>
<!-- proc~setibdict -->
<g id="proc~~lower~~CalledByGraph_node14" class="node">
<title>proc~setibdict</title>
<g id="a_proc~~lower~~CalledByGraph_node14"><a xlink:href=".././proc/setibdict.html" xlink:title="setIBDict">
<polygon fill="#d9534f" stroke="#d9534f" points="98.5,-234 43.5,-234 43.5,-210 98.5,-210 98.5,-234"/>
<text text-anchor="middle" x="71" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setIBDict</text>
</a>
</g>
</g>
<!-- proc~setibdict&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge13" class="edge">
<title>proc~setibdict&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M98.5785,-229.2651C111.8387,-232.9839 127.8823,-237.8158 142,-243 162.4244,-250.5 184.6992,-260.2601 202.5431,-268.4837"/>
<polygon fill="#000000" stroke="#000000" points="201.418,-271.8206 211.9607,-272.8703 204.3736,-265.4752 201.418,-271.8206"/>
</g>
<!-- proc~s2vs -->
<g id="proc~~lower~~CalledByGraph_node15" class="node">
<title>proc~s2vs</title>
<g id="a_proc~~lower~~CalledByGraph_node15"><a xlink:href=".././proc/s2vs.html" xlink:title="s2vs">
<polygon fill="#d94e8f" stroke="#d94e8f" points="98,-192 44,-192 44,-168 98,-168 98,-192"/>
<text text-anchor="middle" x="71" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2vs</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge14" class="edge">
<title>proc~s2vs&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M98.058,-185.0735C111.7881,-188.3605 128.3939,-193.4641 142,-201 172.6702,-217.9869 201.9446,-246.3453 219.6913,-265.354"/>
<polygon fill="#000000" stroke="#000000" points="217.2307,-267.8496 226.5618,-272.8678 222.3967,-263.126 217.2307,-267.8496"/>
</g>
<!-- proc~fileparsing -->
<g id="proc~~lower~~CalledByGraph_node16" class="node">
<title>proc~fileparsing</title>
<g id="a_proc~~lower~~CalledByGraph_node16"><a xlink:href=".././proc/fileparsing.html" xlink:title="fileParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="102,-150 40,-150 40,-126 102,-126 102,-150"/>
<text text-anchor="middle" x="71" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fileParsing</text>
</a>
</g>
</g>
<!-- proc~fileparsing&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge15" class="edge">
<title>proc~fileparsing&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M102.2449,-142.7558C115.3682,-145.8434 130.2738,-150.8711 142,-159 181.6765,-186.505 211.7448,-235.8482 226.6321,-263.9308"/>
<polygon fill="#000000" stroke="#000000" points="223.5649,-265.6195 231.2557,-272.9067 229.7878,-262.414 223.5649,-265.6195"/>
</g>
<!-- proc~setinternalfield -->
<g id="proc~~lower~~CalledByGraph_node17" class="node">
<title>proc~setinternalfield</title>
<g id="a_proc~~lower~~CalledByGraph_node17"><a xlink:href=".././proc/setinternalfield.html" xlink:title="setInternalField">
<polygon fill="#d9534f" stroke="#d9534f" points="113.5,-108 28.5,-108 28.5,-84 113.5,-84 113.5,-108"/>
<text text-anchor="middle" x="71" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setInternalField</text>
</a>
</g>
</g>
<!-- proc~setinternalfield&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge16" class="edge">
<title>proc~setinternalfield&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M113.7498,-102.9378C123.7507,-106.0371 133.8509,-110.5191 142,-117 190.7205,-155.7469 218.7593,-226.7335 230.4753,-262.7604"/>
<polygon fill="#000000" stroke="#000000" points="227.2711,-264.2418 233.5921,-272.7444 233.9531,-262.1558 227.2711,-264.2418"/>
</g>
<!-- proc~setsolveroptions -->
<g id="proc~~lower~~CalledByGraph_node18" class="node">
<title>proc~setsolveroptions</title>
<g id="a_proc~~lower~~CalledByGraph_node18"><a xlink:href=".././proc/setsolveroptions.html" xlink:title="setSolverOptions">
<polygon fill="#d9534f" stroke="#d9534f" points="118,-66 24,-66 24,-42 118,-42 118,-66"/>
<text text-anchor="middle" x="71" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setSolverOptions</text>
</a>
</g>
</g>
<!-- proc~setsolveroptions&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge17" class="edge">
<title>proc~setsolveroptions&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M118.234,-61.7868C126.8337,-64.8401 135.2161,-69.0888 142,-75 200.5588,-126.0264 224.9319,-220.4021 233.2946,-263.0561"/>
<polygon fill="#000000" stroke="#000000" points="229.8654,-263.7603 235.1265,-272.9566 236.7486,-262.4866 229.8654,-263.7603"/>
</g>
<!-- proc~setequationsources -->
<g id="proc~~lower~~CalledByGraph_node19" class="node">
<title>proc~setequationsources</title>
<g id="a_proc~~lower~~CalledByGraph_node19"><a xlink:href=".././proc/setequationsources.html" xlink:title="setEquationSources">
<polygon fill="#d9534f" stroke="#d9534f" points="125,-24 17,-24 17,0 125,0 125,-24"/>
<text text-anchor="middle" x="71" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setEquationSources</text>
</a>
</g>
</g>
<!-- proc~setequationsources&#45;&gt;proc~split_in_array -->
<g id="proc~~lower~~CalledByGraph_edge18" class="edge">
<title>proc~setequationsources&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M125.0754,-22.0829C131.2681,-24.8804 137.1044,-28.449 142,-33 210.3052,-96.4967 229.8425,-214.0298 235.1406,-262.8468"/>
<polygon fill="#000000" stroke="#000000" points="231.6719,-263.3372 236.1358,-272.9457 238.6381,-262.6506 231.6719,-263.3372"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>